All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class DataSourceTreeNode

    com.sas.dataselectors.calculateditems.DataSourceTreeNode

All Implemented Interfaces:
  com.sas.expressions.visuals.DataSourceItemInterface, com.sas.expressions.visuals.DataSourceNodeInterface, javax.swing.tree.TreeNode

    public class DataSourceTreeNode

implements com.sas.expressions.visuals.DataSourceNodeInterface

Description: Copyright: Copyright (c) 2002 Company: SAS

Field Summary
`protected boolean` | `_canHaveChildren`
`protected java.util.List` | `_children`
`protected java.util.List` | `_dataSourceList`
`protected java.lang.String` | `_description`
`protected java.lang.String` | `_displayName`
`protected com.sas.expressions.visuals.DistinctValuesInterface` | `_distinctValuesInterface`
`protected java.util.Map` | `_distinctValuesMap`
`protected boolean` | `_dviLoaded`
`protected CalculatedObjectFactoryInterface` | `_factory`
`protected java.lang.String` | `_imageNameCollapsed`
`protected java.lang.String` | `_imageNameExpanded`
`protected boolean` | `_init`
`protected java.lang.String` | `_insertName`
`protected boolean` | `_isCube`
`protected boolean` | `_loaded`
`protected java.lang.String` | `_name`
`protected java.lang.Object` | `_orig`
`protected DataSourceTreeNode` | `_parent`
`protected boolean` | `_readValues`
`protected java.lang.String` | `_toolTip`
`protected java.util.List` | `_values`
`protected java.lang.String` | `DISPLAY_NAME_EMPTY`
`static java.lang.String` | `RB_KEY`

Constructor Summary
`DataSourceTreeNode(CalculatedObjectFactoryInterface factory, DataSourceTreeNode parent, java.lang.Object value)`
`DataSourceTreeNode(CalculatedObjectFactoryInterface factory, DataSourceTreeNode parent, java.lang.Object value, java.util.List children)`
`DataSourceTreeNode(java.lang.String name, java.lang.String desc, CalculatedObjectFactoryInterface factory, boolean physicalData)`
`DataSourceTreeNode(java.lang.String name, java.lang.String desc, java.util.List children)`

Method Summary
`java.util.Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`com.sas.expressions.visuals.DataValuesInterface` | `getDataValuesInterface()` Returns an interface to iterate over all the data values for this object (return null if that type of data not available)
`java.lang.String` | `getDescription()` Long description of this object (used by tooltip in some cases)
`java.lang.String` | `getDisplayName()` Text to be displayed in the cells when rendering this object to the user
`protected java.lang.String` | `getDisplayName(java.lang.String name)`
`com.sas.expressions.visuals.DistinctValuesInterface` | `getDistinctValuesInterface()` Returns an interface to iterate over all the distinct values for this object (return null if that type of data not available)
`com.sas.expressions.visuals.FormattedValuesInterface` | `getFormattedValuesInterface()` returns an interface to iterate over all the formatted values for this object (return null if that type of data not available)
`javax.swing.Icon` | `getImageIcon(boolean expanded)`
`java.lang.String` | `getImageName(boolean expanded)`
`int` | `getIndex(javax.swing.tree.TreeNode value)`
`java.lang.String` | `getInsertName()` String to be inserted into the expression for this object (null if this node cannot be inserted by reference)
`java.lang.String` | `getName()` Proper name for the object
`java.lang.Object` | `getOriginalObject()`
`javax.swing.tree.TreeNode` | `getParent()`
`java.lang.String` | `getToolTip()` Tooltip to display for this item
`boolean` | `isLeaf()` Returns true if node is a leaf.
`java.lang.String` | `toString()`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### DISPLAY_NAME_EMPTY

    protected java.lang.String DISPLAY_NAME_EMPTY

### _factory

    protected CalculatedObjectFactoryInterface _factory

### _parent

    protected DataSourceTreeNode _parent

### _orig

    protected java.lang.Object _orig

### _init

    protected boolean _init

### _loaded

    protected boolean _loaded

### _dviLoaded

    protected boolean _dviLoaded

### _readValues

    protected boolean _readValues

### _name

    protected java.lang.String _name

### _displayName

    protected java.lang.String _displayName

### _description

    protected java.lang.String _description

### _toolTip

    protected java.lang.String _toolTip

### _insertName

    protected java.lang.String _insertName

### _distinctValuesInterface

    protected com.sas.expressions.visuals.DistinctValuesInterface _distinctValuesInterface

### _values

    protected java.util.List _values

### _canHaveChildren

    protected boolean _canHaveChildren

### _children

    protected java.util.List _children

### _distinctValuesMap

    protected java.util.Map _distinctValuesMap

### _dataSourceList

    protected java.util.List _dataSourceList

### _isCube

    protected boolean _isCube

### _imageNameExpanded

    protected java.lang.String _imageNameExpanded

### _imageNameCollapsed

    protected java.lang.String _imageNameCollapsed

Constructor Detail

### DataSourceTreeNode

    public DataSourceTreeNode(java.lang.String name,
                              java.lang.String desc,
                              CalculatedObjectFactoryInterface factory,
                              boolean physicalData)

### DataSourceTreeNode

    public DataSourceTreeNode(CalculatedObjectFactoryInterface factory,
                              DataSourceTreeNode parent,
                              java.lang.Object value)

### DataSourceTreeNode

    public DataSourceTreeNode(CalculatedObjectFactoryInterface factory,
                              DataSourceTreeNode parent,
                              java.lang.Object value,
                              java.util.List children)

### DataSourceTreeNode

    public DataSourceTreeNode(java.lang.String name,
                              java.lang.String desc,
                              java.util.List children)

Method Detail

### getOriginalObject

    public java.lang.Object getOriginalObject()

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode value)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Returns true if node is a leaf. It is possible for this method to return false even if node has no children. A directory in a filesystem, for example, may contain no files; the node representing the directory is not a leaf, but it also has no children.

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Returns:
    true if node is a leaf

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Description copied from interface: `DataSourceItemInterface`
  Proper name for the object

  Specified by:
    `getName` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `DataSourceItemInterface`
  Text to be displayed in the cells when rendering this object to the user

  Specified by:
    `getDisplayName` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `DataSourceItemInterface`
  Long description of this object (used by tooltip in some cases)

  Specified by:
    `getDescription` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getToolTip

    public java.lang.String getToolTip()

  Description copied from interface: `DataSourceItemInterface`
  Tooltip to display for this item

  Specified by:
    `getToolTip` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getImageIcon

    public javax.swing.Icon getImageIcon(boolean expanded)

### getImageName

    public java.lang.String getImageName(boolean expanded)

### getInsertName

    public java.lang.String getInsertName()

  Description copied from interface: `DataSourceItemInterface`
  String to be inserted into the expression for this object (null if this node cannot be inserted by reference)

  Specified by:
    `getInsertName` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getDistinctValuesInterface

    public com.sas.expressions.visuals.DistinctValuesInterface getDistinctValuesInterface()

  Description copied from interface: `DataSourceItemInterface`
  Returns an interface to iterate over all the distinct values for this object (return null if that type of data not available)

  Specified by:
    `getDistinctValuesInterface` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getDataValuesInterface

    public com.sas.expressions.visuals.DataValuesInterface getDataValuesInterface()

  Description copied from interface: `DataSourceItemInterface`
  Returns an interface to iterate over all the data values for this object (return null if that type of data not available)

  Specified by:
    `getDataValuesInterface` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getFormattedValuesInterface

    public com.sas.expressions.visuals.FormattedValuesInterface getFormattedValuesInterface()

  Description copied from interface: `DataSourceItemInterface`
  returns an interface to iterate over all the formatted values for this object (return null if that type of data not available)

  Specified by:
    `getFormattedValuesInterface` in interface `com.sas.expressions.visuals.DataSourceItemInterface`

### getDisplayName

    protected java.lang.String getDisplayName(java.lang.String name)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.